Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.treetable
Interface TreeTableModel

All Superinterfaces:
  javax.swing.tree.TreeModel

All Known Implementing Classes:
  DefaultTreeTableModel

public interface TreeTableModel
extends javax.swing.tree.TreeModel

`TreeTableModel` is the model used by `JTreeTable`. It extends `TreeModel` and defines methods required by `JTreeTable`.

Method Summary
`java.lang.Class` | `getColumnClass(int column)` Returns column's class.
`int` | `getColumnCount()` Returns the number of columns.
`java.lang.String` | `getColumnName(int column)` Returns column's name.
`java.lang.Object` | `getValueAt(java.lang.Object node, int column)` Returns the value displayed for node `node` at column index `column`.
`boolean` | `isCellEditable(java.lang.Object node, int column)` Indicates whether the value for node `node` at column index `column` is editable.
`void` | `setValueAt(java.lang.Object value, java.lang.Object node, int column)` Sets the value for node `node` at column index `column`.

Methods inherited from interface javax.swing.tree.TreeModel
`addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

Method Detail

### getColumnCount

    public int getColumnCount()

  Returns the number of columns.

  Returns:
    the number of columns.

### getColumnName

    public java.lang.String getColumnName(int column)

  Returns column's name.

  Parameters:
    `column` - index of column
  Returns:
    column's name.

### getColumnClass

    public java.lang.Class getColumnClass(int column)

  Returns column's class.

  Parameters:
    `column` - index of column
  Returns:
    column's class.

### getValueAt

    public java.lang.Object getValueAt(java.lang.Object node,
                                       int column)

  Returns the value displayed for node `node` at column index `column`.

  Parameters:
    `node` - tree node
    `column` - index of column
  Returns:
    displayed value.

### isCellEditable

    public boolean isCellEditable(java.lang.Object node,
                                  int column)

  Indicates whether the value for node `node` at column index `column` is editable.

  Parameters:
    `node` - tree node
    `column` - index of column
  Returns:
    `true` if the value is editable, `false` otherwise.

### setValueAt

    public void setValueAt(java.lang.Object value,
                           java.lang.Object node,
                           int column)

  Sets the value for node `node` at column index `column`.

  Parameters:
    `value` - new value
    `node` - tree node
    `column` - index of column

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.